require 'rails/generators'
require_relative '../../shoestrap/shell'

module Shoestrap
  class BddGenerator < BaseGenerator

    def install_rspec
      generate("rspec:install")
    end

    # TODO: make force optional and make it an option of cli method?
    def copy_dotrspec
      copy_file "dotrspec", ".rspec", force: true
    end

    def copy_spec_helpers
      copy_file "spec_helper.rb", "spec/spec_helper.rb", force: true
      copy_file "fast_spec_helper.rb", "spec/fast_spec_helper.rb", force: true
      copy_file "active_record_spec_helper.rb", "spec/active_record_spec_helper.rb", force: true
    end

    def init_guard_rspec
      Shell.exec('guard init rspec')
    end

    def init_guard_spring
      Shell.exec('guard init spring')
    end
  end
end
