require 'rails/generators'

module Shoestrap
  class FoundationGenerator < BaseGenerator

    def copy_application_sass
      copy_file '_settings.css.sass', 'app/assets/stylesheets/_settings.css.sass', force: true
    end

    def copy_ie_files
      copy_file 'large/_ie8_grid.css', 'app/assets/stylesheets/large/_ie8_grid.css'
      copy_file 'large/_ie8_top_bar.css.sass', 'app/assets/stylesheets/large/_ie8_top_bar.css.sass'
    end

    def add_foundation_requirements
      inject_into_file 'app/assets/javascripts/application.js.coffee', "#= require foundation", after: "#= require turbolinks\n"
      inject_into_file 'app/assets/javascripts/application.js.coffee', "\n$(document).foundation()", after: "window.html5.shivDocument document\n"
      inject_into_file 'app/assets/stylesheets/application.css.sass', "// Foundation\n@import foundation\n\n", after: "@import settings\n\n"
      inject_into_file 'app/assets/stylesheets/application.css.sass', "// IE8 Foundation Grid Fix\n@import ie8_grid\n\n", after: "@import foundation\n\n"
      inject_into_file 'app/assets/stylesheets/ie8.css.sass', "@import large/ie8_grid\n@import large/ie8_top_bar\n", before: "@import large/layout\n"
    end

    def install_simple_form
      generate 'simple_form:install --foundation'
    end
  end
end
