require 'rails/generators'
require_relative 'base_generator'

module Shoestrap
  class KuhsaftGenerator < BaseGenerator

    def install_migrations
      rake 'kuhsaft:install:migrations'
    end

    def migrate_db
      rake 'db:migrate'
    end

    def seed_db
      rake 'db:seed'
    end

    def install_assets
      generate 'kuhsaft:assets:install'
    end

    def add_kuhsaft_routing
      route "mount Kuhsaft::Engine => '/'"
    end

    def add_default_image_size
      copy_file 'kuhsaft.rb', 'config/initializers/kuhsaft.rb'
    end

    def add_translations
      (I18n.available_locales - [:de, :en]).each {|l| generate "kuhsaft:translations:add #{l}" }
    end

    def add_kuhsaft_helper
      inject_into_file 'app/controllers/application_controller.rb', :before => 'end' do
        "  helper Kuhsaft::Engine.helpers\n"
      end
    end
  end
end
