require 'rails/generators'
require_relative '../../shoestrap/shell'

module Shoestrap
  class SmacssFilesGenerator < BaseGenerator

    def remove_application_css
      remove_file 'app/assets/stylesheets/application.css'
    end

    def copy_application_sass
      copy_file 'application.css.sass', 'app/assets/stylesheets/application.css.sass'
    end

    def copy_ie8_sass
      copy_file 'ie8.css.sass', 'app/assets/stylesheets/ie8.css.sass'
    end

    def copy_partials
      directory 'partials', 'app/views/partials'
    end

    def copy_small_large_styles
      directory "large", "app/assets/stylesheets/large"
      directory "small", "app/assets/stylesheets/small"
    end

    def create_initial_stylesheets
      create_file 'app/assets/stylesheets/_fonts.css.sass'
      create_file 'app/assets/stylesheets/_mixins.css.sass'
      create_file 'app/assets/stylesheets/_settings.css.sass'
    end

    def create_modules_directory
      create_file 'app/assets/stylesheets/small/modules/_main_nav.css.sass'
    end
  end
end
