require "thor"

require_relative 'application_generator'

module Shoestrap
  class CLI < Thor

    method_option :css,
                  :type => :string,
                  :default => 'bootstrap',
                  :banner => 'Specify which CSS Framework is used by the Application Generator'

    method_option :database,
                  :type => :string,
                  :default => 'postgresql',
                  :banner => 'Specify which database is used when creating new Rails app'

    method_option :kuhsaft,
                  :type => :boolean,
                  :default => true,
                  :banner => 'Specify wether kuhsaft should be installed'

    desc 'new <application_name>', 'Generate a new rails app with shoestrap'

    def new(application_name)
      application_generator.start(application_name, options)
    end

    desc 'run_generator <generator>', 'Run the generator in the current app'

    def run_generator(generator_name)
      application_generator.call_generator(generator_name)
    end
    private

    def application_generator
      @application_generator ||= ApplicationGenerator
    end
  end
end
